org.bouncycastle.asn1

## Class BERBitString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1BitString
      - - org.bouncycastle.asn1.BERBitString

- All Implemented Interfaces:
    ASN1BitStringParser, ASN1Encodable, ASN1String, InMemoryRepresentable, Encodable

      public class BERBitString
      extends ASN1BitString

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BERBitString(ASN1BitString[] elements)`
    `BERBitString(ASN1BitString[] elements, int segmentLimit)`
    `BERBitString(ASN1Encodable obj)`
    `BERBitString(byte[] data)`
    `BERBitString(byte[] data, int padBits)`
    `BERBitString(byte[] data, int padBits, int segmentLimit)`
    `BERBitString(byte data, int padBits)`
    `BERBitString(int namedBits)`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1BitString

      `getBitStream, getBytes, getBytes, getBytesLength, getInstance, getInstance, getLoadedObject, getOctets, getOctetStream, getPadBits, getPadBits, getString, getTagged, hashCode, intValue, isOctetAligned, parser, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable

      `toASN1Primitive`

- - ### Constructor Detail

    - #### BERBitString

          public BERBitString(byte[] data)

    - #### BERBitString

          public BERBitString(byte data,
                              int padBits)

    - #### BERBitString

          public BERBitString(byte[] data,
                              int padBits)

    - #### BERBitString

          public BERBitString(byte[] data,
                              int padBits,
                              int segmentLimit)

    - #### BERBitString

          public BERBitString(int namedBits)

    - #### BERBitString

          public BERBitString(ASN1Encodable obj)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### BERBitString

          public BERBitString(ASN1BitString[] elements)

    - #### BERBitString

          public BERBitString(ASN1BitString[] elements,
                              int segmentLimit)